Bug 238884 - graphics/caffe: Respect CXX
Summary: graphics/caffe: Respect CXX
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-29 21:28 UTC by Piotr Kubaj
Modified: 2019-08-28 19:23 UTC (History)
2 users (show)

See Also:
eric: maintainer-feedback+
koobs: merge-quarterly?


Attachments
patch (387 bytes, patch)
2019-06-29 21:28 UTC, Piotr Kubaj
koobs: maintainer-approval+
Details | Diff
v2 (839 bytes, patch)
2019-07-26 21:19 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (eric)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-06-29 21:28:09 UTC
Created attachment 205422 [details]
patch

Replace %%CXX%% with the actual value of ${CXX}, not just clang++.

This fixes build on GCC architectures.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-06-30 04:12:23 UTC
Reporter is committer, assign accordingly

@Piotr Please self-assign yourself to issues you report where maintainer != committer

Note also that this change is:

Approved by: portmgr (blanket: ports compliance)
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-06-30 04:13:01 UTC
Comment on attachment 205422 [details]
patch

Set the maintainer-approval flag on attachment (patch) to signify maintainer approval. Attachment -> Details -> maintainer-approval [+]
Comment 3 commit-hook freebsd_committer 2019-07-01 19:45:26 UTC
A commit references this bug:

Author: pkubaj
Date: Mon Jul  1 19:45:03 UTC 2019
New revision: 505631
URL: https://svnweb.freebsd.org/changeset/ports/505631

Log:
  graphics/caffe: respect CXX

  Replace %%CXX%% with the actual value of ${CXX}, not just clang++.

  This fixes build on GCC architectures.

  PR:		238884
  Approved by:	mat (mentor), portmgr (blanket: ports compliance), eric@camachat.org (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D20807

Changes:
  head/graphics/caffe/Makefile
Comment 4 Piotr Kubaj freebsd_committer 2019-07-26 21:18:46 UTC
The fix was not correct.
Comment 5 Piotr Kubaj freebsd_committer 2019-07-26 21:19:45 UTC
Created attachment 206090 [details]
v2

More sophisticated patch is needed.
Comment 6 commit-hook freebsd_committer 2019-08-28 19:23:29 UTC
A commit references this bug:

Author: pkubaj
Date: Wed Aug 28 19:23:10 UTC 2019
New revision: 510093
URL: https://svnweb.freebsd.org/changeset/ports/510093

Log:
  graphics/caffe: Respect CXX

  Don't use clang, unconditionally, respect CXX to fix build on GCC architectures.

  PR:		238884
  Approved by:	eric@camachat.org (maintainer timeout), linimon (mentor)
  Differential Revision:	https://reviews.freebsd.org/D21396

Changes:
  head/graphics/caffe/Makefile